Retrieves the purchase order order lines with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
purchase_order_details| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| purchase_order_id |
Foreign key of the purchase_order |
globally unique identifier |
Optionally required : purchase_order_id, purchase_order_reference or purchase_order must be provided |
| purchase_order_reference_back_office |
Embedded entity "purchase_order" using ERP PK when adding/updating |
string |
Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided |
| purchase_order |
Embedded entity "purchase_order" when adding/updating |
purchase_order |
Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided |
| article_id |
Foreign key of article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| line_number |
Line Number, auto filled with (Highest+1) if value is 0/null |
integer | |
| code |
Code of the article (auto filled if empty) |
string |
Max length: 255 |
| supplier_code |
Code of the supplier for this article |
string |
Max length: 255 |
| name |
Article Name (will be auto filled if article.name+description are empty) |
string |
Max length: 255 |
| description |
Article description (will be auto filled by article.short_description if name+description are empty) |
string |
Max length: 255 |
| price |
Unit Price |
decimal number |
Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$ Range: inclusive between 0.1 and 1.79769313486232E+308 |
| quantity |
Quantity |
decimal number |
Required Range: inclusive between 0.1 and 1.79769313486232E+308 |
| memo |
Line memo/remark |
string | |
| cost_price |
Unit Cost Price (statistic purpose) |
decimal number |
Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$ |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "576b1fd6-4fd3-4b02-9579-439688ecd63b",
"purchase_order_id": "44cb3f86-889a-4f1c-9f4b-35567ca36e20",
"purchase_order_reference_back_office": "sample string 3",
"purchase_order": {
"id": "a8ef028b-f805-4464-b657-a0c9e6d644e0",
"id2": 2,
"jobs_id": "6199459b-1fc1-4908-95b4-f12f7a56ef6a",
"jobs_reference_back_office": "sample string 4",
"supplier_company_id": "b08e40a3-8b54-4240-997c-d2695a617e88",
"supplier_company_code": "sample string 6",
"user_id": "4b069c74-299e-4edd-a268-cb8ec55abaa0",
"user_code": "sample string 8",
"description": "sample string 9",
"memo": "sample string 10",
"total_lines": 11,
"date_create": "2026-10-26T17:02:30.2768735+00:00",
"date_update": "2026-10-26T17:02:30.2768735+00:00",
"date_delivery": "2026-10-26T17:02:30.2768735+00:00",
"confirmed_date_delivery": "2026-10-26T17:02:30.2768735+00:00",
"delivery_db_address_id": "8546cb9b-824e-45ac-b759-bf37e4140514",
"approved_by_user_id": "b5b89a0e-4c1b-451a-bcea-f184f3fc679f",
"approved_by_user_code": "sample string 18",
"technical_user_id": "a0d91001-9dea-4e29-93aa-409e25bf2aa3",
"technical_user_code": "sample string 20",
"purchase_order_status_id": "73cc13b7-69b5-446e-9285-a2d48b4e030e",
"purchase_order_status_code": "sample string 22",
"article_stock_location_id": "8ceb6367-4910-44f9-bde0-85029e83c6a3",
"is_pickup": true,
"reference_back_office": "sample string 25",
"modified_dateutc": "2026-10-26T17:02:30.2768735+00:00"
},
"article_id": "70af05d8-d103-4de6-b213-589234527e7f",
"article_code": "sample string 5",
"article": {
"id": "5ae29a8c-5382-49c8-870e-0c66e0658162",
"article_category_id": "f2b2ad83-9573-4bd4-841a-6558958d3656",
"article_category": {
"id": "cc4da590-2f38-4e6a-a47a-ce2b79a4501a",
"parent_id": "9fabf384-5b30-462c-a748-e603b9740fcb",
"parent_code": "sample string 3",
"code": "sample string 4",
"name": "sample string 5",
"modified_dateutc": "2026-10-26T17:02:30.2768735+00:00"
},
"article_category_code": "sample string 3",
"article_group_1_id": "6f3ddf01-593a-4385-a686-542810eb7671",
"article_group_1_code": "sample string 5",
"article_group_2_id": "36cffb63-1028-4047-8123-0faec7d6f185",
"article_group_2_code": "sample string 7",
"article_group_3_id": "91f8a1a7-59b2-47d0-8109-809563a6c6f4",
"article_group_3_code": "sample string 9",
"article_group_4_id": "67e73eb5-4a59-4e65-b083-0ec7c3ada5f7",
"article_group_4_code": "sample string 11",
"article_group_5_id": "e379c627-e56b-4215-8806-82b814eca183",
"article_group_5_code": "sample string 13",
"article_group_6_id": "6ca58995-189a-43e8-a69a-52232251dfb6",
"article_group_6_code": "sample string 15",
"physical_stock": 16,
"back_order_client": 17,
"back_order_supplier": 18,
"expected_delivery_date_bo_supplier": "2026-10-26T17:02:30.2768735+00:00",
"article_increment": 20,
"min_article_quantity": 21,
"entered_price": 22.0,
"cost_price": 23.1,
"no_stock": true,
"archived": true,
"is_travel_fee": true,
"is_mileage_fee": true,
"code": "sample string 28",
"name": "sample string 29",
"description_short": "sample string 30",
"description_long": "sample string 31",
"barcode": "sample string 32",
"notes": "sample string 33",
"date_create": "2026-10-26T17:02:30.2768735+00:00",
"date_update": "2026-10-26T17:02:30.2768735+00:00",
"modified_dateutc": "2026-10-26T17:02:30.2768735+00:00",
"article_color_id": "5f2a8c2a-d14b-4595-9fb4-692d3a2a45e6",
"article_color_code": "sample string 38",
"article_color": {
"id": "db081ba7-4625-44b3-95ac-8e05256a0de5",
"name": "sample string 2",
"code": "sample string 3",
"modified_dateutc": "2026-10-26T17:02:30.2768735+00:00"
},
"warranty_period_nb_months": 39,
"use_serial": true,
"_replace_id": "a5521e8b-83d0-4f59-beed-b286e805a4a2",
"replace_article_code": "sample string 42",
"db_unit_of_measure_id_selling": "a2d231d9-5a67-4eb5-9afd-6f690681a496",
"db_unit_of_measure_code_selling": "sample string 44",
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
]
},
"line_number": 6,
"code": "sample string 7",
"supplier_code": "sample string 8",
"name": "sample string 9",
"description": "sample string 10",
"price": 11.0,
"quantity": 12.0,
"memo": "sample string 13",
"cost_price": 14.0,
"reference_back_office": "sample string 15",
"modified_dateutc": "2026-10-26T17:02:30.2768735+00:00"
}